> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fastino.ai/llms.txt
> Use this file to discover all available pages before exploring further.

> ## Agent Instructions
> Use https://docs.fastino.ai/llms.txt to discover and navigate pages. Use https://docs.fastino.ai/llms-full.txt when you need the complete documentation corpus. Use https://docs.fastino.ai/openapi.json as the source of truth for customer-facing routes. For GLiDE decision inference, call POST https://api.fastino.ai/v1/systemone with model fastino/GLiDE. Do not infer undocumented routes. Read API keys from FASTINO_API_KEY and never embed credentials in code, logs, or reports.

# 列出训练运行

> 调用 GET /v1/training/jobs，按从新到旧的顺序列出您通过兼容 Tinker 的 SDK 创建的训练运行，支持分页。

`GET /v1/training/jobs`

按从新到旧的顺序返回已认证调用方可见的训练运行。训练运行是您通过兼容 Tinker 的 SDK 创建并逐步驱动的训练。将 SDK 的 `base_url` 设置为 `https://api.fastino.ai/v1/training/compat/tinker`，并通过 SDK 的凭据命令传入您的 Fastino API 密钥：`TINKER_CREDENTIAL_CMD='printf %s "$FASTINO_API_KEY"'`。Tinker 的 `tml-` 密钥会被拒绝并返回 `401`。您可以看到自己的运行，以及团队在您有权访问的项目中的运行。

## 请求

<ParamField header="X-API-Key" type="string" required>
  您的 Fastino API 密钥。
</ParamField>

<ParamField query="type" type="string">
  作业类型。使用 `interactive`（此处的默认值）。`config` 返回 `400`。
</ParamField>

<ParamField query="limit" type="integer" default="20">
  每页大小。取值会被限制在 `1` 到 `1000` 之间。
</ParamField>

<ParamField query="offset" type="integer" default="0">
  要跳过的运行数量。
</ParamField>

<RequestExample>
  ```bash cURL theme={null}
  curl "https://api.fastino.ai/v1/training/jobs?type=interactive&limit=20&offset=0" \
    -H "X-API-Key: $FASTINO_API_KEY"
  ```
</RequestExample>

## 响应

<ResponseField name="success" type="boolean">
  请求是否成功。
</ResponseField>

<ResponseField name="training_jobs" type="object[]">
  本页的训练运行。每个运行包含[获取训练运行](/cn/api-reference/training-runs/get)中描述的字段。
</ResponseField>

<ResponseField name="count" type="integer">
  本页中的运行数量。
</ResponseField>

<ResponseField name="total" type="integer">
  分页前可见运行的总数。
</ResponseField>

<ResponseField name="has_more" type="boolean">
  此页之后是否还有下一页。
</ResponseField>

<ResponseExample>
  ```json Response theme={null}
  {
    "success": true,
    "training_jobs": [
      {
        "type": "interactive",
        "training_run_id": "YOUR_SESSION_ID:train:0",
        "base_model": "Qwen/Qwen3.6-35B-A3B",
        "model_owner": "YOUR_TEAM_ID",
        "is_lora": true,
        "corrupted": false,
        "lora_rank": 32,
        "last_request_time": "2026-10-09T18:42:10Z",
        "last_checkpoint": null,
        "last_sampler_checkpoint": {
          "checkpoint_id": "sampler_weights/step-100",
          "checkpoint_type": "sampler",
          "time": "2026-10-09T18:40:02Z",
          "tinker_path": "tinker://YOUR_SESSION_ID:train:0/sampler_weights/step-100",
          "size_bytes": 167772160,
          "public": false,
          "user_metadata": null,
          "expires_at": null
        },
        "user_metadata": {"experiment": "baseline"}
      }
    ],
    "count": 1,
    "total": 1,
    "has_more": false
  }
  ```
</ResponseExample>

无效的分页值会返回 `422`。缺少 API 密钥或密钥无效会返回 `401`。如果您的团队未启用训练运行，该路由会返回 `404`。


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.